## org.eclipse.emf.mapping.impl
Class ComplexTypeConverterImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.mapping.impl.MappingHelperImpl
                      org.eclipse.emf.mapping.impl.TypeConverterImpl
                          org.eclipse.emf.mapping.impl.ComplexTypeConverterImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, ComplexTypeConverter, MappingHelper, TypeConverter

    public class ComplexTypeConverterImpl

extends TypeConverterImpl
implements ComplexTypeConverter

An implementation of the model object 'Complex Type Converter'.

The following features are implemented:

- `In2out`
- `Out2in`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected Mapping` `in2out` The cached value of the '`In2out`' reference
`protected Mapping` `out2in` The cached value of the '`Out2in`' reference

Fields inherited from class org.eclipse.emf.mapping.impl.MappingHelperImpl
`helpedObject, nested`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ComplexTypeConverterImpl()`

Method Summary
`Mapping` `basicGetIn2out()`
`Mapping` `basicGetOut2in()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Mapping` `getIn2out()`
`Mapping` `getOut2in()`
`void` `setIn2out(Mapping newIn2out)`
`void` `setOut2in(Mapping newOut2in)`

Methods inherited from class org.eclipse.emf.mapping.impl.MappingHelperImpl
`basicGetHelpedObject, basicSetMapper, basicSetNestedIn, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getHelpedObject, getMapper, getNested, getNestedIn, setHelpedObject, setMapper, setNestedIn`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.mapping.MappingHelper
`getHelpedObject, getMapper, getNested, getNestedIn, setHelpedObject, setMapper, setNestedIn`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### in2out

    protected Mapping in2out

  The cached value of the '`In2out`' reference.

  See Also:
    `getIn2out()`

### out2in

    protected Mapping out2in

  The cached value of the '`Out2in`' reference.

  See Also:
    `getOut2in()`

Constructor Detail

### ComplexTypeConverterImpl

    protected ComplexTypeConverterImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `TypeConverterImpl`

### getIn2out

    public Mapping getIn2out()

  Specified by:
    `getIn2out` in interface `ComplexTypeConverter`
  Returns:
    the value of the 'In2out' reference.
  See Also:
    `ComplexTypeConverter.setIn2out(Mapping)`, `MappingPackage.getComplexTypeConverter_In2out()`

### basicGetIn2out

    public Mapping basicGetIn2out()

### setIn2out

    public void setIn2out(Mapping newIn2out)

  Specified by:
    `setIn2out` in interface `ComplexTypeConverter`
  Parameters:
    `newIn2out` - the new value of the 'In2out' reference.
  See Also:
    `ComplexTypeConverter.getIn2out()`

### getOut2in

    public Mapping getOut2in()

  Specified by:
    `getOut2in` in interface `ComplexTypeConverter`
  Returns:
    the value of the 'Out2in' reference.
  See Also:
    `ComplexTypeConverter.setOut2in(Mapping)`, `MappingPackage.getComplexTypeConverter_Out2in()`

### basicGetOut2in

    public Mapping basicGetOut2in()

### setOut2in

    public void setOut2in(Mapping newOut2in)

  Specified by:
    `setOut2in` in interface `ComplexTypeConverter`
  Parameters:
    `newOut2in` - the new value of the 'Out2in' reference.
  See Also:
    `ComplexTypeConverter.getOut2in()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `MappingHelperImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `MappingHelperImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `MappingHelperImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `MappingHelperImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.